VERSION 5.00
Begin VB.UserControl AddInObj 
   ClientHeight    =   1590
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1575
   InvisibleAtRuntime=   -1  'True
   PropertyPages   =   "AddInObj.ctx":0000
   ScaleHeight     =   1590
   ScaleWidth      =   1575
End
Attribute VB_Name = "AddInObj"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Const ADDIN_E_NONE = 1000
Const ADDIN_E_ORDINARY = 1001
Const ADDIN_E_ATTENTION = 1002
Const ADDIN_E_IMPORTANT = 1003
Const ADDIN_E_VERY_IMPORTANT = 1004
Const ADDIN_E_INFO = 1005
Const ADDIN_E_FAIL = 1006
Const ADDIN_E_MSGBOX_ATTENTION = 1007
Const ADDIN_E_MSGBOX_INFO = 1008
Const ADDIN_E_MSGBOX_FAIL = 1009

Enum Props
    LastProp = 0
End Enum

Enum Methods
    LastMethod = 0
End Enum

Implements IInitDone
Implements ILanguageExtender

Function LoadProperties() As Boolean
    LoadProperties = True
End Function

Sub SaveProperties()
End Sub

' This method is useful in ILanguageExtender implementation
Function TermString(strName As String, Alias As Long) As String
    Dim Ind As Integer
    
    Ind = InStr(strName, ",")
    If (Ind > 0) Then
        If (Alias = 0) Then
            TermString = Left(strName, Ind - 1)
            Else: TermString = Right(strName, Len(strName) - Ind)
        End If
    End If
End Function

Sub IInitDone_Init(ByVal Obj As Object)
    Dim bRet As Boolean

    Set V7Object = Obj
    V7Object.RegisterProfileAs "Sample AddIn Profile Name"
    bRet = LoadProperties()
    If (bRet <> True) Then
        V7Object.AddError ADDIN_E_FAIL, "", "   ", -1
    End If
End Sub

Sub IInitDone_Done()
    ' Save parameters
    SaveProperties
    ' Free corresponded V7 link
    Set V7Object = Nothing
End Sub

Sub IInitDone_GetInfo(pInfoItems() As Variant)
    ' This component supports 1.00 component version
    pInfoItems(0) = "1000"
End Sub

Sub ILanguageExtender_RegisterExtensionAs(strExtName As String)
    ' This name should be changed
    strExtName = "AddInExtension"
End Sub

Sub ILanguageExtender_GetNProps(lProps As Long)
    lProps = LastProp
End Sub

Sub ILanguageExtender_FindProp(ByVal strPropName As String, lPropNum As Long)
    
    lPropNum = -1

    '
    '    Assign proper value to lPropNum if property named strPropName is found
    '

End Sub

Sub ILanguageExtender_GetPropName(ByVal lPropNum As Long, ByVal lPropAlias As Long, strPropName As String)
    strPropName = ""
    Select Case lPropNum
        '
        '  Differentiate cases here:
        '    case Prop1 ...
        '    case Prop2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_GetPropVal(ByVal lPropNum As Long, retVal As Variant)
    retVal = Null
    Select Case lPropNum
        '
        '  Differentiate cases here:
        '    case Prop1 ...
        '    case Prop2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_SetPropVal(ByVal lPropNum As Long, retVal As Variant)
    Select Case lPropNum
        '
        '  Differentiate cases here:
        '    case Prop1 ...
        '    case Prop2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_IsPropReadable(ByVal lPropNum As Long, retVal As Long)
    Select Case lPropNum
        '
        '  Differentiate cases here:
        '    case Prop1 ...
        '    case Prop2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_IsPropWritable(ByVal lPropNum As Long, retVal As Long)
    Select Case lPropNum
        '
        '  Differentiate cases here:
        '    case Prop1 ...
        '    case Prop2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_GetNMethods(lMethods As Long)
    lMethods = LastMethod
End Sub

Sub ILanguageExtender_FindMethod(ByVal strMethodName As String, lMethodNum As Long)
    lMethodNum = -1
    Select Case strMethodName
    '
    '    Assign proper value to lMethodNum if method named strMethodName is found
    '
    End Select
End Sub

Sub ILanguageExtender_GetMethodName(ByVal lMethodNum As Long, ByVal MethAlias As Long, strMethodName As String)
    strMethodName = ""
    Select Case lMethodNum
        '
        '  Differentiate cases here:
        '    case Method1 ...
        '    case Method2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_GetNParams(ByVal lMethodNum As Long, lMethodParams As Long)
    lMethodParams = 0
    Select Case lMethodNum
        '
        '  Differentiate cases here:
        '    case Method1 ...
        '    case Method2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_GetParamDefValue(ByVal lMethodNum As Long, ByVal lParamNum As Long, retVal As Variant)
    retVal = Null
    Select Case lMethodNum
        '
        '  Differentiate cases here:
        '    case Method1 ...
        '    case Method2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_HasRetVal(ByVal lMethodNum As Long, boolRet As Long)
    Select Case lMethodNum
        '
        '  Differentiate cases here:
        '    case Method1 ...
        '    case Method2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_CallAsProc(ByVal lMethodNum As Long, ParamVal() As Variant)
    Select Case lMethodNum
        '
        '  Differentiate cases here:
        '    case Method1 ...
        '    case Method2 ...
        '     ...
        '
    End Select
End Sub

Sub ILanguageExtender_CallAsFunc(ByVal lMethodNum As Long, retVal As Variant, ParamVal() As Variant)
    Select Case lMethodNum
        '
        '  Differentiate cases here:
        '    case Method1 ...
        '    case Method2 ...
        '     ...
        '
    End Select
End Sub

